Bug 156721

Summary: Hyperlink stack traces for test failures
Product: connecteddeveloper Reporter: Jesse Glick <jglick>
Component: HudsonAssignee: Jesse Glick <jglick>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1    
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: ENHANCEMENT Exception Report:
Bug Depends on: 158105    
Bug Blocks:    

Description Jesse Glick 2009-01-13 21:17:40 UTC
Currently test failures are just printed as plain text. Lines matching project classes ought to be hyperlinked into
source code. Just look for all classes in GlobalPathRegistry and link them.

A system to map the remote workspace back to local projects would be helpful in case line numbers are different in the
local copy of sources.
Comment 1 Jesse Glick 2009-02-06 20:51:47 UTC
For now, works only for classes accessible from open projects, and jumps to the local line number, which might not match
what is on the server.

cdev #4fa5c02649b0
Comment 2 Jesse Glick 2009-02-06 21:13:49 UTC
With a fix of issue #158105, should additionally work for sources known to correspond to classpath entries of open projects.
Comment 3 Quality Engineering 2009-03-17 08:37:22 UTC
Integrated into 'main-golden', will be available in build *200903170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4fa5c02649b0
User: Jesse Glick <jglick@netbeans.org>
Log: #156721: try to hyperlink stack traces in test failures.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo